# Uses of Class
ch.qos.logback.core.LogbackException

Packages that use LogbackException
Package
Description
ch.qos.logback.core
Contains the main classes of logback core.
ch.qos.logback.core.rolling
Implements various file rolling policies.

## Uses of LogbackException in ch.qos.logback.core

Methods in ch.qos.logback.core that throw LogbackException
Modifier and Type
Method
Description
`void`
Appender.`doAppend(E event)`
This is where an appender accomplishes its work.

## Uses of LogbackException in ch.qos.logback.core.rolling

Subclasses of LogbackException in ch.qos.logback.core.rolling
Modifier and Type
Class
Description
`class`
`RolloverFailure`
A RolloverFailure occurs if, for whatever reason a rollover fails.